#include <Wire.h>
#include "MB85RC16V.h"

MB85RC16V fram;

uint16_t framAddr=0x0000;
char w_data1[7]={'o','c','r','o','b','o','t'};
byte w_data2[7]={1,1,1,1,1,1,1};
char r_data[7];
void setup() {
  // put your setup code here, to run once:
  Wire.begin();
  Serial.begin(9600);
  fram.begin(0x50);
  
  Serial.println("Write data1: 1,1,1,1,1,1,1, ");
  fram.write8(framAddr,7,w_data2);

  Serial.print("Read1:  ");
  fram.read8(framAddr,7,r_data);
  for(int i=0;i<7;i++)
  {
	Serial.print(r_data[i],HEX);
	Serial.print(",");
  }
  Serial.println();
  
  Serial.println("Write data2: ocrobot ");
  fram.write8(framAddr,7,w_data1);

  Serial.print("Read2:  ");
  fram.read8(framAddr,7,r_data);
  for(int i=0;i<7;i++)
  {
	Serial.print(r_data[i]);
  }
  Serial.println();
}

void loop() {
  // put your main code here, to run repeatedly:

}